## mlv-smile 1.47

=== Makefile ===
###############################################################################

# definition des repertoires
P_DIR=P_BLOCS/
PD_DIR=P_BLOCS+DELTA/
S_DIR=SigStat/
C_DIR=Converter/

all:    clean
	@echo "**** Making P_BLOCS..."
	(cd $(P_DIR) && $(MAKE) all)
	@echo "==> P_BLOCS OK."
	@echo "**** Making P_BLOCS+DELTA..."
	(cd $(PD_DIR) && $(MAKE) all)
	@echo "==> P_BLOCS+DELTA OK."
	@echo "**** Making SigStat..."
	(cd $(S_DIR) && $(MAKE) all)
	@echo "==> SigStat OK."

clean:
	@echo Cleaning...
	(cd $(P_DIR) && $(MAKE) clean)
	(cd $(PD_DIR) && $(MAKE) clean)
	(cd $(S_DIR) && $(MAKE) clean)
	@echo Clean OK.

=== P_BLOCS+DELTA/Makefile ===
###############################################################################
# OPTIONS DU PROGRAMME ########################################################
#Affichage du nombre d'occurrences pour chaque modele trouve
NB_OCCS=1
#Affichage des positions des occurrences de chaque modele trouve
AFF_OCCS=0
###############################################################################

#Compilateur :
CC=gcc
OPT=-Wall -ansi -O3
#OPT=-g

#definition des repertoires des arbres:
INCL_DIR=include/
OBJ_DIR=obj/
SRC_DIR=src/
LIB_DIR=lib/
BIN_DIR=bin/
# definition de repertoires de spell :
SPELL_INCL_DIR=Spell/include/
SPELL_SRC_DIR=Spell/src/
SPELL_OBJ_DIR=Spell/obj/

# Options de compilation :
C_FLAG= $(OPT) -I$(INCL_DIR) -I$(SPELL_INCL_DIR)
O_FLAG= -c $(OPT) -I$(INCL_DIR) -I$(SPELL_INCL_DIR) -DOCC=$(NB_OCCS) -DAFF_OCC=$(AFF_OCCS)
LIB_FLAG= -lm
# Nom du programme , de l'archive
PROG_NAME=x-smile_delta
ARCHIVE_NAME=x-smile_delta.tar.gz
#Objet ...
OBJ_FILE=$(OBJ_DIR)*.o $(SPELL_OBJ_DIR)*.o

TREE_OBJ=$(OBJ_DIR)global_fonctions.o $(OBJ_DIR)construction.o $(OBJ_DIR)liste_pos.o $(OBJ_DIR)allocateurs.o $(OBJ_DIR)bit_tab.o $(OBJ_DIR)libfasta.o $(OBJ_DIR)global_variables.o  $(SPELL_OBJ_DIR)global.o $(SPELL_OBJ_DIR)criteres.o #$(OBJ_DIR)sub_suffix_tree.o

TREE_OBJ_DEB=$(OBJ_DIR)global_fonctions.o $(OBJ_DIR)construction.o $(OBJ_DIR)liste_pos2.o $(OBJ_DIR)allocateurs.o $(OBJ_DIR)bit_tab2.o $(OBJ_DIR)libfasta.o $(OBJ_DIR)global_variables.o  $(SPELL_OBJ_DIR)global.o $(SPELL_OBJ_DIR)criteres.o $(OBJ_DIR)sub_suffix_tree.o

SPELL_OBJ=$(SPELL_OBJ_DIR)global.o $(SPELL_OBJ_DIR)pile_occ.o $(SPELL_OBJ_DIR)spell.o $(SPELL_OBJ_DIR)occ.o $(SPELL_OBJ_DIR)criteres.o $(SPELL_OBJ_DIR)barre.o $(SPELL_OBJ_DIR)alphabet.o $(SPELL_OBJ_DIR)model.o

all:    $(BIN_DIR)$(PROG_NAME)
	echo ALL!!!

debug:  $(TREE_OBJ_DEB)
	$(CC) $(C_FLAG) $(OBJ_FILE) -o $(BIN_DIR)$(PROG_NAME) $(LIB_FLAG)

$(BIN_DIR)$(PROG_NAME): $(TREE_OBJ) $(SPELL_OBJ)
	$(CC) $(C_FLAG) $(OBJ_FILE) -o $(BIN_DIR)$(PROG_NAME) $(LIB_FLAG)

$(OBJ_DIR)sub_suffix_tree.o :  $(SRC_DIR)sub_suffix_tree.c
	$(CC) $(SRC_DIR)sub_suffix_tree.c -o $(OBJ_DIR)sub_suffix_tree.o $(O_FLAG) 

$(OBJ_DIR)global_fonctions.o : $(INCL_DIR)global_fonctions.h $(SRC_DIR)global_fonctions.c
	$(CC) $(SRC_DIR)global_fonctions.c -o $(OBJ_DIR)global_fonctions.o $(O_FLAG) 

$(OBJ_DIR)construction.o : $(INCL_DIR)construction.h $(SRC_DIR)construction.c
	$(CC) $(SRC_DIR)construction.c -o $(OBJ_DIR)construction.o $(O_FLAG) 

$(OBJ_DIR)liste_pos.o : $(INCL_DIR)liste_pos.h $(SRC_DIR)liste_pos.c
	$(CC) $(SRC_DIR)liste_pos.c -o $(OBJ_DIR)liste_pos.o $(O_FLAG) 

$(OBJ_DIR)liste_pos2.o : $(INCL_DIR)liste_pos.h $(SRC_DIR)liste_pos2.c
	$(CC) $(SRC_DIR)liste_pos2.c -o $(OBJ_DIR)liste_pos2.o $(O_FLAG) 

$(OBJ_DIR)allocateurs.o : $(INCL_DIR)allocateurs.h $(SRC_DIR)allocateurs.c
	$(CC) $(SRC_DIR)allocateurs.c -o $(OBJ_DIR)allocateurs.o $(O_FLAG) 

$(OBJ_DIR)bit_tab.o : $(INCL_DIR)bit_tab.h $(SRC_DIR)bit_tab.c
	$(CC) $(SRC_DIR)bit_tab.c -o $(OBJ_DIR)bit_tab.o $(O_FLAG) 

$(OBJ_DIR)bit_tab2.o : $(INCL_DIR)bit_tab.h $(SRC_DIR)bit_tab2.c
	$(CC) $(SRC_DIR)bit_tab2.c -o $(OBJ_DIR)bit_tab2.o $(O_FLAG) 

$(OBJ_DIR)libfasta.o : $(INCL_DIR)libfasta.h $(SRC_DIR)libfasta.c
	$(CC) $(SRC_DIR)libfasta.c -o $(OBJ_DIR)libfasta.o $(O_FLAG) 

$(OBJ_DIR)global_variables.o : $(SRC_DIR)global_variables.c
	$(CC) $(SRC_DIR)global_variables.c -o $(OBJ_DIR)global_variables.o $(O_FLAG) 

#Dependance pour le programme spell :

$(SPELL_OBJ_DIR)global.o : $(SPELL_INCL_DIR)global.h $(SPELL_SRC_DIR)global.c
	$(CC) $(SPELL_SRC_DIR)global.c -o $(SPELL_OBJ_DIR)global.o $(O_FLAG) 

$(SPELL_OBJ_DIR)criteres.o : $(SPELL_INCL_DIR)criteres.h $(SPELL_SRC_DIR)criteres.c $(SPELL_INCL_DIR)global.h
	$(CC) $(SPELL_SRC_DIR)criteres.c -o $(SPELL_OBJ_DIR)criteres.o $(O_FLAG) 

$(SPELL_OBJ_DIR)pile_occ.o : $(SPELL_INCL_DIR)pile_occ.h $(SPELL_SRC_DIR)pile_occ.c $(SPELL_INCL_DIR)global.h
	$(CC) $(SPELL_SRC_DIR)pile_occ.c -o $(SPELL_OBJ_DIR)pile_occ.o $(O_FLAG) 

$(SPELL_OBJ_DIR)spell.o : $(SPELL_INCL_DIR)spell.h $(SPELL_SRC_DIR)spell.c $(SPELL_INCL_DIR)global.h $(SPELL_INCL_DIR)model.h
	$(CC) $(SPELL_SRC_DIR)spell.c -o $(SPELL_OBJ_DIR)spell.o $(O_FLAG) 

$(SPELL_OBJ_DIR)occ.o : $(SPELL_INCL_DIR)occ.h $(SPELL_SRC_DIR)occ.c
	$(CC) $(SPELL_SRC_DIR)occ.c -o $(SPELL_OBJ_DIR)occ.o $(O_FLAG) 

$(SPELL_OBJ_DIR)barre.o : $(SPELL_INCL_DIR)barre.h $(SPELL_SRC_DIR)barre.c
	$(CC) $(SPELL_SRC_DIR)barre.c -o $(SPELL_OBJ_DIR)barre.o $(O_FLAG) 

$(SPELL_OBJ_DIR)alphabet.o : $(SPELL_INCL_DIR)alphabet.h $(SPELL_SRC_DIR)alphabet.c
	$(CC) $(SPELL_SRC_DIR)alphabet.c -o $(SPELL_OBJ_DIR)alphabet.o $(O_FLAG) 

$(SPELL_OBJ_DIR)model.o : $(SPELL_INCL_DIR)model.h $(SPELL_SRC_DIR)model.c
	$(CC) $(SPELL_SRC_DIR)model.c -o $(SPELL_OBJ_DIR)model.o $(O_FLAG) 



clean: clean_emacs clean_obj 
	echo CLEAN OK!!!

clean_emacs:
	find . -name "*~" -exec rm -f {} \;

clean_obj:
	rm -f $(OBJ_DIR)*o $(SPELL_OBJ_DIR)*o
	rm -f $(BIN_DIR)$(PROG_NAME)

clean_arch:
	rm ./$(ARCHIVE_NAME)

tgz: clean
	tar -zcvf $(ARCHIVE_NAME) ./*

depend:
	makedepend -o.o $(SPELL_INCL_DIR)*.h $(INCL_DIR)*.h $(SPELL_SRC_DIR)*.c $(SRC_DIR)*.c -I$(INCL_DIR) -I$(SPELL_INCL_DIR)

# DO NOT DELETE

=== P_BLOCS/Makefile ===
###############################################################################
# OPTIONS DU PROGRAMME ########################################################
#Affichage du nombre d'occurrences pour chaque modele trouve
NB_OCCS=1
#Affichage des positions des occurrences de chaque modele trouve
AFF_OCCS=0
###############################################################################

#Compilateur :
CC=gcc
OPT=-Wall -ansi -O3
#OPT=-g

#definition des repertoires des arbres:
INCL_DIR=include/
OBJ_DIR=obj/
SRC_DIR=src/
LIB_DIR=lib/
BIN_DIR=bin/
# definition de repertoires de spell :
SPELL_INCL_DIR=Spell/include/
SPELL_SRC_DIR=Spell/src/
SPELL_OBJ_DIR=Spell/obj/

# Options de compilation :
C_FLAG= $(OPT) -I$(INCL_DIR) -I$(SPELL_INCL_DIR)
O_FLAG= -c $(OPT) -I$(INCL_DIR) -I$(SPELL_INCL_DIR) -DOCC=$(NB_OCCS) -DAFF_OCC=$(AFF_OCCS)
LIB_FLAG= -lm
# Nom du programme , de l'archive
PROG_NAME=x-smile
ARCHIVE_NAME=x-smile.tar.gz
#Objet ...
OBJ_FILE=$(OBJ_DIR)*.o $(SPELL_OBJ_DIR)*.o

TREE_OBJ=$(OBJ_DIR)global_fonctions.o $(OBJ_DIR)construction.o $(OBJ_DIR)liste_pos.o $(OBJ_DIR)allocateurs.o $(OBJ_DIR)bit_tab.o $(OBJ_DIR)libfasta.o $(OBJ_DIR)global_variables.o  $(SPELL_OBJ_DIR)global.o $(SPELL_OBJ_DIR)criteres.o #$(OBJ_DIR)sub_suffix_tree.o

TREE_OBJ_DEB=$(OBJ_DIR)global_fonctions.o $(OBJ_DIR)construction.o $(OBJ_DIR)liste_pos2.o $(OBJ_DIR)allocateurs.o $(OBJ_DIR)bit_tab2.o $(OBJ_DIR)libfasta.o $(OBJ_DIR)global_variables.o  $(SPELL_OBJ_DIR)global.o $(SPELL_OBJ_DIR)criteres.o $(OBJ_DIR)sub_suffix_tree.o

SPELL_OBJ=$(SPELL_OBJ_DIR)global.o $(SPELL_OBJ_DIR)pile_occ.o $(SPELL_OBJ_DIR)spell.o $(SPELL_OBJ_DIR)occ.o $(SPELL_OBJ_DIR)criteres.o $(SPELL_OBJ_DIR)barre.o $(SPELL_OBJ_DIR)alphabet.o $(SPELL_OBJ_DIR)model.o

all:    $(BIN_DIR)$(PROG_NAME)
	echo ALL!!!

debug:  $(TREE_OBJ_DEB)
	$(CC) $(C_FLAG) $(OBJ_FILE) -o $(BIN_DIR)$(PROG_NAME) $(LIB_FLAG)

$(BIN_DIR)$(PROG_NAME): $(TREE_OBJ) $(SPELL_OBJ)
	$(CC) $(C_FLAG) $(OBJ_FILE) -o $(BIN_DIR)$(PROG_NAME) $(LIB_FLAG)

$(OBJ_DIR)sub_suffix_tree.o :  $(SRC_DIR)sub_suffix_tree.c
	$(CC) $(SRC_DIR)sub_suffix_tree.c -o $(OBJ_DIR)sub_suffix_tree.o $(O_FLAG) 

$(OBJ_DIR)global_fonctions.o : $(INCL_DIR)global_fonctions.h $(SRC_DIR)global_fonctions.c
	$(CC) $(SRC_DIR)global_fonctions.c -o $(OBJ_DIR)global_fonctions.o $(O_FLAG) 

$(OBJ_DIR)construction.o : $(INCL_DIR)construction.h $(SRC_DIR)construction.c
	$(CC) $(SRC_DIR)construction.c -o $(OBJ_DIR)construction.o $(O_FLAG) 

$(OBJ_DIR)liste_pos.o : $(INCL_DIR)liste_pos.h $(SRC_DIR)liste_pos.c
	$(CC) $(SRC_DIR)liste_pos.c -o $(OBJ_DIR)liste_pos.o $(O_FLAG) 

$(OBJ_DIR)liste_pos2.o : $(INCL_DIR)liste_pos.h $(SRC_DIR)liste_pos2.c
	$(CC) $(SRC_DIR)liste_pos2.c -o $(OBJ_DIR)liste_pos2.o $(O_FLAG) 

$(OBJ_DIR)allocateurs.o : $(INCL_DIR)allocateurs.h $(SRC_DIR)allocateurs.c
	$(CC) $(SRC_DIR)allocateurs.c -o $(OBJ_DIR)allocateurs.o $(O_FLAG) 

$(OBJ_DIR)bit_tab.o : $(INCL_DIR)bit_tab.h $(SRC_DIR)bit_tab.c
	$(CC) $(SRC_DIR)bit_tab.c -o $(OBJ_DIR)bit_tab.o $(O_FLAG) 

$(OBJ_DIR)bit_tab2.o : $(INCL_DIR)bit_tab.h $(SRC_DIR)bit_tab2.c
	$(CC) $(SRC_DIR)bit_tab2.c -o $(OBJ_DIR)bit_tab2.o $(O_FLAG) 

$(OBJ_DIR)libfasta.o : $(INCL_DIR)libfasta.h $(SRC_DIR)libfasta.c
	$(CC) $(SRC_DIR)libfasta.c -o $(OBJ_DIR)libfasta.o $(O_FLAG) 

$(OBJ_DIR)global_variables.o : $(SRC_DIR)global_variables.c
	$(CC) $(SRC_DIR)global_variables.c -o $(OBJ_DIR)global_variables.o $(O_FLAG) 

#Dependance pour le programme spell :

$(SPELL_OBJ_DIR)global.o : $(SPELL_INCL_DIR)global.h $(SPELL_SRC_DIR)global.c
	$(CC) $(SPELL_SRC_DIR)global.c -o $(SPELL_OBJ_DIR)global.o $(O_FLAG) 

$(SPELL_OBJ_DIR)criteres.o : $(SPELL_INCL_DIR)criteres.h $(SPELL_SRC_DIR)criteres.c $(SPELL_INCL_DIR)global.h
	$(CC) $(SPELL_SRC_DIR)criteres.c -o $(SPELL_OBJ_DIR)criteres.o $(O_FLAG) 

$(SPELL_OBJ_DIR)pile_occ.o : $(SPELL_INCL_DIR)pile_occ.h $(SPELL_SRC_DIR)pile_occ.c $(SPELL_INCL_DIR)global.h
	$(CC) $(SPELL_SRC_DIR)pile_occ.c -o $(SPELL_OBJ_DIR)pile_occ.o $(O_FLAG) 

$(SPELL_OBJ_DIR)spell.o : $(SPELL_INCL_DIR)spell.h $(SPELL_SRC_DIR)spell.c $(SPELL_INCL_DIR)global.h
	$(CC) $(SPELL_SRC_DIR)spell.c -o $(SPELL_OBJ_DIR)spell.o $(O_FLAG) 

$(SPELL_OBJ_DIR)occ.o : $(SPELL_INCL_DIR)occ.h $(SPELL_SRC_DIR)occ.c
	$(CC) $(SPELL_SRC_DIR)occ.c -o $(SPELL_OBJ_DIR)occ.o $(O_FLAG) 

$(SPELL_OBJ_DIR)barre.o : $(SPELL_INCL_DIR)barre.h $(SPELL_SRC_DIR)barre.c
	$(CC) $(SPELL_SRC_DIR)barre.c -o $(SPELL_OBJ_DIR)barre.o $(O_FLAG) 

$(SPELL_OBJ_DIR)alphabet.o : $(SPELL_INCL_DIR)alphabet.h $(SPELL_SRC_DIR)alphabet.c
	$(CC) $(SPELL_SRC_DIR)alphabet.c -o $(SPELL_OBJ_DIR)alphabet.o $(O_FLAG) 

$(SPELL_OBJ_DIR)model.o : $(SPELL_INCL_DIR)model.h $(SPELL_SRC_DIR)model.c
	$(CC) $(SPELL_SRC_DIR)model.c -o $(SPELL_OBJ_DIR)model.o $(O_FLAG) 



clean: clean_emacs clean_obj 
	echo CLEAN OK!!!

clean_emacs:
	find . -name "*~" -exec rm -f {} \;

clean_obj:
	rm -f $(OBJ_DIR)*o $(SPELL_OBJ_DIR)*o
	rm -f $(BIN_DIR)$(PROG_NAME)

clean_arch:
	rm ./$(ARCHIVE_NAME)

tgz: clean
	tar -zcvf $(ARCHIVE_NAME) ./*

depend:
	makedepend -o.o $(SPELL_INCL_DIR)*.h $(INCL_DIR)*.h $(SPELL_SRC_DIR)*.c $(SRC_DIR)*.c -I$(INCL_DIR) -I$(SPELL_INCL_DIR)

# DO NOT DELETE

=== SigStat/Makefile ===
# OPTIONS DU PROGRAMME GREP+ ##################################################
#Statistiques sur les occurrences exactes                        
OCC=1
###############################################################################

#Compilateur :
CC=gcc
#OPT=-g
OPT=-ansi -Wall -O3

# definition de repertoires de grep+ :
GREP_DIR=grep+/
GREP_INCL_DIR=$(GREP_DIR)Spell/include/
GREP_INCL_DIR2=$(GREP_DIR)include/
GREP_OBJ_DIR=$(GREP_DIR)Spell/obj/
GREP_OBJ_DIR2=$(GREP_DIR)obj/

#definition des repertoires de sigstat
SIG_INCL_DIR=include/
SIG_SRC_DIR=src/
SIG_OBJ_DIR=obj/
SIG_BIN_DIR=bin/

# Options de compilation :
C_FLAG= $(OPT) -I$(GREP_INCL_DIR) -I$(GREP_INCL_DIR2) -I$(SIG_INCL_DIR)
O_FLAG= -c $(OPT) -I$(GREP_INCL_DIR) -I$(GREP_INCL_DIR2) -I$(SIG_INCL_DIR) -DOCC=$(OCC)
LIB_FLAG= -lm
# Nom du programme, de l'archive
PROG_NAME=e-smile_shuffling
PROG_NAME2=e-smile_against
ARCHIVE_NAME=e-smile_shuffling.tar.gz
ARCHIVE_NAME2=e-smile_against.tar.gz

#Objets
SIG_OBJ=$(SIG_OBJ_DIR)euler.o $(SIG_OBJ_DIR)random.o  $(SIG_OBJ_DIR)shufflet.o $(SIG_OBJ_DIR)sigstat.o $(SIG_OBJ_DIR)seqio.o $(SIG_OBJ_DIR)io.o
FAUX_OBJ=$(SIG_OBJ_DIR)faux.o $(SIG_OBJ_DIR)io.o

TREE_OBJ=$(GREP_OBJ_DIR2)global_fonctions.o $(GREP_OBJ_DIR2)construction.o $(GREP_OBJ_DIR2)liste_pos.o $(GREP_OBJ_DIR2)allocateurs.o $(GREP_OBJ_DIR2)bit_tab.o $(GREP_OBJ_DIR2)libfasta.o $(GREP_OBJ_DIR2)global_variables.o

GREP_OBJ=$(GREP_OBJ_DIR)global.o $(GREP_OBJ_DIR)pile_occ.o $(GREP_OBJ_DIR)grep+.o $(GREP_OBJ_DIR)occ.o $(GREP_OBJ_DIR)criteres.o $(GREP_OBJ_DIR)barre.o $(GREP_OBJ_DIR)alphabet.o $(GREP_OBJ_DIR)model.o

OBJ_FILE=$(TREE_OBJ) $(GREP_OBJ) $(SIG_OBJ)
OBJ_FILE2=$(TREE_OBJ) $(GREP_OBJ) $(FAUX_OBJ)


# Regles

all:    grep+ $(SIG_BIN_DIR)$(PROG_NAME) $(SIG_BIN_DIR)$(PROG_NAME2)
	@echo OK.

grep+::
	@echo Making grep+...
	(cd $(GREP_DIR) && $(MAKE) obj)
	@echo Fin du Make de grep+.

$(SIG_BIN_DIR)$(PROG_NAME): $(SIG_OBJ)
	@echo Making sigstat...
	$(CC) $(C_FLAG) $(OBJ_FILE) -o $(SIG_BIN_DIR)$(PROG_NAME) $(LIB_FLAG)

$(SIG_BIN_DIR)$(PROG_NAME2): $(FAUX_OBJ)
	@echo Making faux...
	$(CC) $(C_FLAG) $(OBJ_FILE2) -o $(SIG_BIN_DIR)$(PROG_NAME2) $(LIB_FLAG)

#Sigstat
$(SIG_OBJ_DIR)euler.o : $(SIG_INCL_DIR)shufflet.h $(SIG_SRC_DIR)euler.c 
	$(CC) $(SIG_SRC_DIR)euler.c -o $(SIG_OBJ_DIR)euler.o $(O_FLAG)

$(SIG_OBJ_DIR)random.o : $(SIG_INCL_DIR)shufflet.h $(SIG_SRC_DIR)random.c 
	$(CC) $(SIG_SRC_DIR)random.c -o $(SIG_OBJ_DIR)random.o $(O_FLAG)

$(SIG_OBJ_DIR)shufflet.o : $(SIG_INCL_DIR)shufflet.h $(SIG_SRC_DIR)shufflet.c
	$(CC) $(SIG_SRC_DIR)shufflet.c -o $(SIG_OBJ_DIR)shufflet.o $(O_FLAG)

$(SIG_OBJ_DIR)seqio.o : $(SIG_INCL_DIR)shufflet.h $(SIG_SRC_DIR)seqio.c 
	$(CC) $(SIG_SRC_DIR)seqio.c -o $(SIG_OBJ_DIR)seqio.o $(O_FLAG)

$(SIG_OBJ_DIR)sigstat.o : $(SIG_INCL_DIR)mot.h $(SIG_INCL_DIR)shufflet.h $(SIG_SRC_DIR)sigstat.c
	$(CC) $(SIG_SRC_DIR)sigstat.c -o $(SIG_OBJ_DIR)sigstat.o $(O_FLAG)

$(SIG_OBJ_DIR)faux.o : $(SIG_INCL_DIR)mot.h $(SIG_SRC_DIR)faux.c
	$(CC) $(SIG_SRC_DIR)faux.c -o $(SIG_OBJ_DIR)faux.o $(O_FLAG)

$(SIG_OBJ_DIR)io.o : $(SIG_INCL_DIR)io.h $(SIG_SRC_DIR)io.c
	$(CC) $(SIG_SRC_DIR)io.c -o $(SIG_OBJ_DIR)io.o $(O_FLAG)



clean: clean_emacs clean_obj 
	(cd $(GREP_DIR) && $(MAKE) clean)
	@echo CLEAN OK!!!

clean_emacs:
	find . -name "*~" -exec rm -f {} \;

clean_obj:
	rm -f $(SIG_OBJ_DIR)*o
	rm -f $(SIG_BIN_DIR)$(PROG_NAME) $(SIG_BIN_DIR)$(PROG_NAME2)

clean_arch:
	rm ./$(ARCHIVE_NAME)

tgz: clean
	tar -zcvf $(ARCHIVE_NAME) ./*

=== SigStat/grep+/Makefile ===
###############################################################################
#Ne pas modifier###############################################################
NB_OCCS=1
AFF_OCCS=1

#Compilateur :
CC=gcc
OPT=-ansi -Wall -O3
#OPT=-g

#definition des repertoires des arbres:
INCL_DIR=include/
OBJ_DIR=obj/
SRC_DIR=src/
LIB_DIR=lib/
BIN_DIR=bin/
# definition de repertoires de grep+ :
SPELL_INCL_DIR=Spell/include/
SPELL_SRC_DIR=Spell/src/
SPELL_OBJ_DIR=Spell/obj/

# Options de compilation :
C_FLAG= $(OPT) -I$(INCL_DIR) -I$(SPELL_INCL_DIR)
O_FLAG= -c $(OPT) -I$(INCL_DIR) -I$(SPELL_INCL_DIR) -DOCC=$(NB_OCCS) -DAFF_OCC=$(AFF_OCCS)
LIB_FLAG= -lm


# Nom du programme , de l'archive
PROG_NAME=grep+
ARCHIVE_NAME=grep+.tgz


#Objet ...

TREE_OBJ=$(OBJ_DIR)global_fonctions.o $(OBJ_DIR)construction.o $(OBJ_DIR)liste_pos.o $(OBJ_DIR)allocateurs.o $(OBJ_DIR)bit_tab.o $(OBJ_DIR)libfasta.o $(OBJ_DIR)global_variables.o

SPELL_OBJ=$(SPELL_OBJ_DIR)global.o $(SPELL_OBJ_DIR)pile_occ.o $(SPELL_OBJ_DIR)grep+.o $(SPELL_OBJ_DIR)occ.o $(SPELL_OBJ_DIR)criteres.o $(SPELL_OBJ_DIR)barre.o $(SPELL_OBJ_DIR)alphabet.o $(SPELL_OBJ_DIR)model.o

SPELL_OBJ_DEB=$(SPELL_OBJ_DIR)global.o $(SPELL_OBJ_DIR)pile_occ.o $(SPELL_OBJ_DIR)grep+.o $(SPELL_OBJ_DIR)occ.o $(SPELL_OBJ_DIR)criteres.o $(SPELL_OBJ_DIR)barre.o $(SPELL_OBJ_DIR)main.o $(SPELL_OBJ_DIR)alphabet.o $(SPELL_OBJ_DIR)model.o

OBJ_FILE=$(TREE_OBJ) $(SPELL_OBJ)

OBJ_DEB_FILE=$(SPELL_OBJ_DEB) $(TREE_OBJ)

all:    $(BIN_DIR)$(PROG_NAME)
	@echo ALL!!!

debug:  $(OBJ_DEB_FILE)
	$(CC) $(C_FLAG) $(OBJ_DEB_FILE) -o $(BIN_DIR)$(PROG_NAME) $(LIB_FLAG)

$(BIN_DIR)$(PROG_NAME): obj
	$(CC) $(C_FLAG) $(OBJ_FILE) -o $(BIN_DIR)$(PROG_NAME) $(LIB_FLAG)

obj: $(OBJ_FILE)

$(OBJ_DIR)sub_suffix_tree.o :  $(SRC_DIR)sub_suffix_tree.c
	$(CC) $(SRC_DIR)sub_suffix_tree.c -o $(OBJ_DIR)sub_suffix_tree.o $(O_FLAG) 

$(OBJ_DIR)global_fonctions.o : $(INCL_DIR)global_fonctions.h $(SRC_DIR)global_fonctions.c
	$(CC) $(SRC_DIR)global_fonctions.c -o $(OBJ_DIR)global_fonctions.o $(O_FLAG) 

$(OBJ_DIR)construction.o : $(INCL_DIR)construction.h $(SRC_DIR)construction.c
	$(CC) $(SRC_DIR)construction.c -o $(OBJ_DIR)construction.o $(O_FLAG) 

$(OBJ_DIR)liste_pos.o : $(INCL_DIR)liste_pos.h $(SRC_DIR)liste_pos.c
	$(CC) $(SRC_DIR)liste_pos.c -o $(OBJ_DIR)liste_pos.o $(O_FLAG) 

$(OBJ_DIR)liste_pos2.o : $(INCL_DIR)liste_pos.h $(SRC_DIR)liste_pos2.c
	$(CC) $(SRC_DIR)liste_pos2.c -o $(OBJ_DIR)liste_pos2.o $(O_FLAG) 

$(OBJ_DIR)allocateurs.o : $(INCL_DIR)allocateurs.h $(SRC_DIR)allocateurs.c
	$(CC) $(SRC_DIR)allocateurs.c -o $(OBJ_DIR)allocateurs.o $(O_FLAG) 

$(OBJ_DIR)bit_tab.o : $(INCL_DIR)bit_tab.h $(SRC_DIR)bit_tab.c
	$(CC) $(SRC_DIR)bit_tab.c -o $(OBJ_DIR)bit_tab.o $(O_FLAG) 

$(OBJ_DIR)bit_tab2.o : $(INCL_DIR)bit_tab.h $(SRC_DIR)bit_tab2.c
	$(CC) $(SRC_DIR)bit_tab2.c -o $(OBJ_DIR)bit_tab2.o $(O_FLAG) 

$(OBJ_DIR)libfasta.o : $(INCL_DIR)libfasta.h $(SRC_DIR)libfasta.c
	$(CC) $(SRC_DIR)libfasta.c -o $(OBJ_DIR)libfasta.o $(O_FLAG) 

$(OBJ_DIR)global_variables.o : $(SRC_DIR)global_variables.c
	$(CC) $(SRC_DIR)global_variables.c -o $(OBJ_DIR)global_variables.o $(O_FLAG) 

#Dependance pour le programme spell :

$(SPELL_OBJ_DIR)main.o : $(SPELL_INCL_DIR)global.h $(SPELL_SRC_DIR)main.c
	$(CC) $(SPELL_SRC_DIR)main.c -o $(SPELL_OBJ_DIR)main.o $(O_FLAG)

$(SPELL_OBJ_DIR)global.o : $(SPELL_INCL_DIR)global.h $(SPELL_SRC_DIR)global.c
	$(CC) $(SPELL_SRC_DIR)global.c -o $(SPELL_OBJ_DIR)global.o $(O_FLAG) 

$(SPELL_OBJ_DIR)criteres.o : $(SPELL_INCL_DIR)criteres.h $(SPELL_SRC_DIR)criteres.c $(SPELL_INCL_DIR)global.h
	$(CC) $(SPELL_SRC_DIR)criteres.c -o $(SPELL_OBJ_DIR)criteres.o $(O_FLAG) 

$(SPELL_OBJ_DIR)pile_occ.o : $(SPELL_INCL_DIR)pile_occ.h $(SPELL_SRC_DIR)pile_occ.c $(SPELL_INCL_DIR)global.h
	$(CC) $(SPELL_SRC_DIR)pile_occ.c -o $(SPELL_OBJ_DIR)pile_occ.o $(O_FLAG) 

$(SPELL_OBJ_DIR)grep+.o : $(SPELL_INCL_DIR)grep+.h $(SPELL_SRC_DIR)grep+.c $(SPELL_INCL_DIR)global.h
	$(CC) $(SPELL_SRC_DIR)grep+.c -o $(SPELL_OBJ_DIR)grep+.o $(O_FLAG) 

$(SPELL_OBJ_DIR)occ.o : $(SPELL_INCL_DIR)occ.h
	$(CC) $(SPELL_SRC_DIR)occ.c -o $(SPELL_OBJ_DIR)occ.o $(O_FLAG) 

$(SPELL_OBJ_DIR)barre.o : $(SPELL_INCL_DIR)barre.h
	$(CC) $(SPELL_SRC_DIR)barre.c -o $(SPELL_OBJ_DIR)barre.o $(O_FLAG) 

$(SPELL_OBJ_DIR)alphabet.o : $(SPELL_INCL_DIR)alphabet.h
	$(CC) $(SPELL_SRC_DIR)alphabet.c -o $(SPELL_OBJ_DIR)alphabet.o $(O_FLAG) 

$(SPELL_OBJ_DIR)model.o : $(SPELL_INCL_DIR)model.h
	$(CC) $(SPELL_SRC_DIR)model.c -o $(SPELL_OBJ_DIR)model.o $(O_FLAG) 

clean: clean_emacs clean_obj 
	@echo CLEAN OK!!!

clean_emacs:
	find . -name "*~" -exec rm -f {} \;

clean_obj:
	rm -f $(OBJ_DIR)*o $(SPELL_OBJ_DIR)*o

clean_arch:
	rm ./$(ARCHIVE_NAME)

tgz: clean
	tar -zcvf $(ARCHIVE_NAME) ./*

lib: $(TREE_OBJ) $(SPELL_OBJ)
	gcc -shared $(OBJ_FILE) $(LIB_FLAG) -o lib$(PROG_NAME).so 

depend:
	makedepend -o.o $(SPELL_INCL_DIR)*.h $(INCL_DIR)*.h $(SPELL_SRC_DIR)*.c $(SRC_DIR)*.c -I$(INCL_DIR) -I$(SPELL_INCL_DIR)
# DO NOT DELETE

=== debian/changelog ===
mlv-smile (1.47-5) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 15 Nov 2017 20:52:48 +0100

mlv-smile (1.47-4) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * Fix clean target
  * Fix issues reported by Mayhem
    Closes: #715851, #716479, #716480

 -- Andreas Tille <tille@debian.org>  Wed, 16 Dec 2015 11:20:32 +0100

mlv-smile (1.47-3) unstable; urgency=low

  * debian/upstream: Added publication data
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs-Browser
     - Moved directory in SVN from smile to mlv-smile
     - Removed citation information from long description
     - Spacing changes in long description
  * debian/copyright: Fixed some DEP5 issues using
      cme fix dpkg-copyright
  * debhelper 9 (control+compat) to enable hardening
  * debian/rules: Work around several broken Makefiles that would
    need fixing by simply redefining CC to enable propagation of
    hardening flags

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2012 18:30:20 +0200

mlv-smile (1.47-2) unstable; urgency=low

  * Spellchecked manual pages (Closes: #650475, thanks to A. Costa).

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 03 Dec 2011 19:20:00 +0100

mlv-smile (1.47-1) unstable; urgency=low

  * initial Release (Closes: #221492).
  * renamed package to mlv-smile 
  * Lintian clean
  * already prepared patches from Steffen Moeller applied
  * debian/source/format added
  * debian/compat changed to 8
  * debian/copyright: new address of FSF, added version to licenses
  * debian/rules: errors in manpage corrected
  * debian/rules: simplified
  * added DEP-3 header to patches

  [Charles Plessy]
  * debian/control: Added Vcs fields
  * debian/control: Removed the [Biology] tag in the package short description
  * debian/copyright: Converted the copyright file to DEP-5 format

  [Steffen Moeller]
  * New upstream release.
  * GPL license stated in upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 18 May 2011 18:17:00 +0200

mlv-smile (1.46-1) UNRELEASED; urgency=low

  * Upstream author contributed man page.

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Tue, 18 Nov 2003 16:20:05 +0100

=== debian/control ===
Source: mlv-smile
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mlv-smile.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/mlv-smile.git
Homepage: http://www-igm.univ-mlv.fr/~marsan/smile_english.html

Package: mlv-smile
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Description: Find statistically significant patterns in sequences
 Smile determines sequence motifs on the basis of a set of DNA, RNA or
 protein sequences.
  * No hard limit on the number of combinations of motifs to describe
    subsets of sequences.
  * The sequence alphabet may be specified.
  * The use of wildcards is supported.
  * Better determination of significance of motifs by simulation.
  * Introduction of a set of sequences with negative controls
    that should not match automatically determined motifs.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for smile
# Thorsten Alteholz <debian@alteholz.de>
# GPL

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --no-parallel -- CC="gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)"

override_dh_auto_install:
	zcat smile.1.gz |sed "s/\.\.\.which/which/g"|\
                sed "s/repecting/respecting/g"|\
                sed "s/susbtitutions/substitutions/g"|\
                sed "s/alindrom/alindrome/g"|\
                sed "s/ipossible/possible/g"|\
                sed "s/smalls/small/g"|\
                sed "s/nfering/nferring/g"|\
                sed "s/criterias/criteria/g"|\
                sed "s/CRITERIAS/CRITERIA/g"|\
                sed "s/allows to/allows one to/g"|\
                sed "s/algorithmical/algorithmically/g"|\
                sed "s/smile \-g/smile \\\-g/g"|\
                sed "s/smile/mlv-smile/g"|\
                sed "s/Smile/mlv-smile/g" > mlv-smile.1
	dh_installchangelogs READ_ME
	dh_auto_install

=== debian/watch ===
version=3
http://www-igm.univ-mlv.fr/~marsan/smile_english.html SMILEv(.*)\.tgz
